<?
/**
 * VoiceOne Settings/Tech/misdn/groups
 *
 * Frontend to provide access to the tech system in voiceone.
 * @package voiceone
 * @subpackage  settings_tech
 */
  include ("../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  $alert=getAlert();
  if(!_isModuleLoaded('mISDN')) goToMainPage('',"../");
  //================ POST & GET ================
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delIsdnGroup($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["isdngrp"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["isdngrp"]["alertDelBad"]."</div>";
    goToMainPage($alert,"./");
  }
  //================ PAGE LOGIC ================
  //get ports
  $portArray=array();
  $ret=$asterisk->getIsdnPort(0);
  if(is_array($ret)){
    foreach($ret as $v){
      $portArray[$v["id"]]=$v["channel"];
    }
  }  
  //get prot groups
  $ret=$asterisk->getIsdnGroup(0);
  if($err=$asterisk->getError()) die("Error: $err");
  if(is_array($ret)){
    $count=0;
    foreach($ret as $v){
      $id=$v["id"];
      $name=$v["name"];
      $portType=$v["port_type"];
      $ports="";
      if((is_array($v["port"]))&&(is_array($portArray))){
        foreach($portArray as $p_id=>$p_channel){
          if(in_array($p_id,$v["port"])){
            $ports.=$p_channel.", ";
          }
        }
      }
      if(trim($ports)!="") $ports=substr($ports,0,-2);
      //html
      ob_start();
      ?>
        <td>
          <a href="edit/?id=<?=$id?>"><?=$name?></a> (<?=$portType?> ports: <strong><?=$ports?></strong>) 
          <a href="<?=$PHP_SELF?>?cmd=del&id=<?=$id?>" onclick="if (confirm('Are you sure to delete the <?=$name?> group?')) return true; else return false;"><img src="<?=$relBasePath?>/public/img/trash.gif" /></a>
        </td>
      <?
      $html.=ob_get_contents();
			ob_end_clean();
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
    <div class="SectionHeader">
      <?=$alert?>
      <h1><?=T_("mISDN Port Groups")?></h1>
      <h3>
        <a href="edit/?portType=TE" class="admin" ><?=T_("New TE port Group")?></a> &nbsp;&nbsp;
        <a href="edit/?portType=NT" class="admin" ><?=T_("New NT port Group")?></a> 
      </h3>
    </div>
    <table class="todolist">
      <tr>
        <?=$html?>
      </tr>
    </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
    <div class="Sidebar">
      <?$sel="misdnGroup";include("../sidebar.php");?>
      <h1><?=T_("Informations")?></h1>
    </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();
  //================ SETTINGS ================
  $smarty->assign("section", "misdnGroup");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

